Page MenuHomePhabricator

merge: update commitinfo from all mergeresults during bid merge
ClosedPublic

Authored by pulkit on Aug 27 2020, 5:38 AM.

Details

Summary

During bid merge, it's not clear which commitinfo should be stored and which one
should not. This depends on which side the bid merge chooses for a file. For
this we will need to refactor bid merge code and commitinfo handling.

For now, we just blindly updates info since we hardly have any users of
commitinfo and this will help us in testing and clearing out further path.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Aug 27 2020, 5:38 AM
pulkit updated this revision to Diff 22500.Sep 1 2020, 8:14 AM
pulkit updated this revision to Diff 22511.Sep 2 2020, 7:54 AM
marmoute accepted this revision.Sep 11 2020, 8:49 AM
marmoute added a subscriber: marmoute.

not great, but okay.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.